<?php

/**
 * Class PayplugTest
 *
 * vendor/bin/phpunit --colors --bootstrap vendor/autoload.php tests/PayplugTest
 */

class PayplugTest extends \PHPUnit_Framework_TestCase
{

    public function testTransaction()
    {

        $config = array(
            'private_key' => 'sk_test_4kveFHoya4axsDZipuXjjt',
            'public_key' => 'pk_test_408X5skcIlVjf7XH1orAjV'
        );

        $payplugConfig = new \Shopbydedi\Payment\PayplugConfig($config);
        $payplug = new \Shopbydedi\Payment\Payplug($payplugConfig);
        $payplug->request(1300);
        $payplug->response(1300, array('email' => 'gabriel@dedi-agency.com', 'first_name' => 'Gabriel', 'last_name' => 'Lannger'), 1, 'token_yo');
    }
}
